:root {
	--dropdown-menu-color: #dbdcde;
	
	--dropdown-menu-default-color: #cacaca;
	--dropdown-menu-hover-color: #b1b1b1;
	
	--dropdown-menu-item-padding: 15px;
}

nav.dropdown-menu {
	position: sticky;
	top: 0;
	display: flex;
	background: var(--dropdown-menu-color);
	box-shadow: 0px -5px 10px 7px #5f5f5f8a;
	border-bottom: 1px solid #b9b9b9;
	z-index: 1;
	font-family: "Lucida Sans Unicode", monospace;
}

nav.dropdown-menu.no-shadow {
	box-shadow: none;
}

ul.dropdown-list {
	list-style: none;
	padding: 0;
	position: relative;
	margin: 0;
}

nav.dropdown-menu > ul.dropdown-list {
	display: flex;
}

nav.dropdown-menu > ul.dropdown-list.dropdown-right {
	margin-left: auto;
}

li.dropdown-menu-item {
	background: var(--dropdown-menu-default-color);
}

ul.dropdown-list.dropdown-right > li.dropdown-menu-item {
	margin-left: auto;
	position: relative;
}

li.dropdown-menu-item > a.dropdown-menu-text {
	padding: var(--dropdown-menu-item-padding);
	display: flex;
	text-decoration: none;
	color: black;
	width: 100%;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item > a.dropdown-menu-text {
	width: fit-content;
}

li.dropdown-menu-item:hover {
	background: var(--dropdown-menu-hover-color);
	cursor: pointer;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item:hover,
nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item:not(:first-child),
nav.dropdown-menu > ul.dropdown-list.dropdown-right > li.dropdown-menu-item {
	border-left: 1px solid black;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item:first-child:hover > a.dropdown-menu-text {
	padding-left: calc(var(--dropdown-menu-item-padding) - 1px);
}

nav.dropdown-menu a.dropdown-menu-text > div.dropdown-menu-text-container {
	white-space: nowrap;
}

li.dropdown-menu-item > div.dropdown-submenu {
	position: absolute;
	display: none;
	width: fit-content;
}

li.dropdown-menu-item > div.dropdown-submenu > ul.dropdown-list {
	box-shadow: 0px 6px 10px 0px #bbbbbba8;
}

li.dropdown-menu-item:hover > div.dropdown-submenu {
	display: block;
}

li.dropdown-menu-item:hover > div.dropdown-submenu > ul.dropdown-list {
	left: -1px;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item > div.dropdown-submenu > ul.dropdown-list li.dropdown-menu-item {
	display: flex;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item > div.dropdown-submenu > ul.dropdown-list > li.dropdown-menu-item div.dropdown-submenu {
	position: relative;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item > div.dropdown-submenu > ul.dropdown-list > li.dropdown-menu-item div.dropdown-submenu > ul.dropdown-list {
	position: absolute;
	white-space: nowrap;
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item div.dropdown-submenu > ul.dropdown-list {
	border-left: 1px solid black;
}

span.dropdown-submenu-indicator {
	position: relative;
	right: 0;
	margin-left: auto;
	padding-left: 10px;
	transform: scale(0.8);
}

span.dropdown-submenu-indicator:after {
	content: "\25B6"; /* 203A, 2023, 25BE */
}

nav.dropdown-menu > ul.dropdown-list > li.dropdown-menu-item > a.dropdown-menu-text > span.dropdown-submenu-indicator:after {
	content: "\25BC";
}